--- src/cpp/empty.cpp.orig       1970-01-01 01:00:00.000000000 +0100
+++ src/cpp/empty.cpp      2018-08-30 18:33:10.133809668 +0200
@@ -0,0 +1 @@
+
--- src/cpp/CMakeLists.txt.orig 2016-08-05 01:20:50.000000000 +0200
+++ src/cpp/CMakeLists.txt  2018-08-30 17:59:40.046696260 +0200
@@ -29,7 +29,7 @@
 endif()
 
 if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND CMAKE_COMPILER_IS_GNUCC)
-    add_library(flann_cpp SHARED "")
+    add_library(flann_cpp SHARED empty.cpp)
     set_target_properties(flann_cpp PROPERTIES LINKER_LANGUAGE CXX)
     target_link_libraries(flann_cpp -Wl,-whole-archive flann_cpp_s -Wl,-no-whole-archive)
 
@@ -83,7 +83,7 @@
     set_property(TARGET flann_s PROPERTY COMPILE_DEFINITIONS FLANN_STATIC)
 
     if(CMAKE_SYSTEM_NAME STREQUAL "Linux" AND CMAKE_COMPILER_IS_GNUCC)
-        add_library(flann SHARED "")
+        add_library(flann SHARED empty.cpp)
         set_target_properties(flann PROPERTIES LINKER_LANGUAGE CXX)
         target_link_libraries(flann -Wl,-whole-archive flann_s -Wl,-no-whole-archive)
     else()
